AOZ Studio Beta - Bug #131

Mid$=, Right$=, Left$=, Yet another (weird) problem
02/05/2020 01:14 PM - David Baldwin

Status: Closed Start date: 02/05/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.6.1

Affected version: 0.9.4

Description

My contender for 'Weirdest Bug' award.
This code throws up an internal error:-

S=12345
S2$="000000"
S1$=Str$(S)
SL=Len(S1$)-1
S1$=Right$(S1$,SL)
Right$(S2$,SL)=S1$

If it is changed to this (ie: adding something to the end of line 6, no error:-

S=12345

S2$="000000"

S1$=Str$(S)

SL=Len(S1$)-1
S1$=Right$(S1$,SL)
Right$(S2$,SL)=S1$ //No error now

Or this:

S=12345
S2$="000000"
S1$=Str$(S)
SL=Len(S1$)-1
S1$=Right$(S1$,SL)
Right$(S2$,SL)=S1$ :

History

#1 - 02/12/2020 10:15 PM - David Baldwin

Now, in version 0.9.5, this code is causing a phantom entry in the application.js code.

this.vars=

(
)

Code extracted from both compiled versions:-

this.aoz.setRight$(this.vars.S1$,{name:"S2$" type:2},this.vars.SL); <-- This is the working one.
this.aoz.setRight$(this.vars.S1$,{name:"" type:2},this.vars.SL); <-- Note the name is "S2$" is missing - not working.
#2 - 03/07/2020 05:14 PM - Francois Lionet

- Status changed from New to Resolved

- Target version set to 0.9.6.1

Fixed!
#3 - 03/13/2020 10:10 PM - David Baldwin

- Status changed from Resolved to Closed
